## swift 2.7.0

=== debian/changelog ===
swift (2.7.0-9~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Mon, 18 Jul 2016 10:15:55 +0200

swift (2.7.0-9) unstable; urgency=medium

  * Ignore errors when trying to restart rsyslog service in postrm too
    (Closes: #830586)

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Jul 2016 09:14:29 +0200

swift (2.7.0-8) unstable; urgency=medium

  * Ignore errors when trying to restart rsyslog service and be more robust

 -- Ondřej Nový <onovy@debian.org>  Thu, 07 Jul 2016 16:06:46 +0200

swift (2.7.0-7) unstable; urgency=medium

  * Check for ring files before starting service (Closes: #829375)
  * Remove all swift directories on purge
  * Added missed example configs to docs
  * Use dh_installdocs -A for installing AUTHORS file
  * Added support for nodocs in DEB_BUILD_OPTIONS
  * Use dh-exec for installing configs
  * Use adm group for log directory
  * Log to /var/log/swift and not to generic logfile

 -- Ondřej Nový <onovy@debian.org>  Tue, 05 Jul 2016 23:24:04 +0200

swift (2.7.0-6) unstable; urgency=medium

  * Don't add user swift to adm group
  * d/{control,copyright}: Use my @debian.org email address

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Jun 2016 17:41:38 +0200

swift (2.7.0-5) unstable; urgency=medium

  * Bumped required version of python-setuptools to 20.6.8
  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools

 -- Ondřej Nový <novy@ondrej.org>  Tue, 14 Jun 2016 16:59:08 +0200

swift (2.7.0-4) unstable; urgency=medium

  * Bump required openstack-pkg-tools version to 45
  * Removed run depends on python-setuptools
  * Removed (build-)depends on python-paste, it's satisfied by
    python-pastedeploy
  * Added python-keystoneclient to Build-Depends-Indep

 -- Ondřej Nový <novy@ondrej.org>  Thu, 09 Jun 2016 08:40:52 +0200

swift (2.7.0-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * Use pkgos includes inside postinst
  * Sort inputs in d/rules to make build reproducible
  * Override false-positive Lintian: spelling-error-in-copyright Thier Their
  * Removed d/source/include-binaries, not needed anymore
  * Change directory to $ADTTMP before running Debian tests
  * wrap-and-sort -t -a
  * Added Documentation to systemd units

 -- Ondřej Nový <novy@ondrej.org>  Thu, 28 Apr 2016 21:33:07 +0200

swift (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Ignore errors when starting daemons during package install

 -- Ondřej Nový <novy@ondrej.org>  Mon, 04 Apr 2016 10:53:24 +0200

swift (2.7.0-1) experimental; urgency=medium

  * New upstream release
  * Support of multiple conf files in /etc/swift/*-server/ directories
  * Added dh-python build-depends
  * Bumped python-pyeclib required version
  * Enabled autostarting of all daemons

 -- Ondřej Nový <novy@ondrej.org>  Sun, 27 Mar 2016 23:24:34 +0200

swift (2.6.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Added Debian tests.
  * Removed swift-init.
  * Systemd support.
  * Added container-sync config files.
  * Changed all dependencies to same version of swift package.
  * Changed shell of "swift" user to /bin/false.
  * Add user "swift" to group "adm", not replace group list.
  * Standards-Version is 3.9.7 now (no change).
  * Fixed Vcs URL.

  [ Thomas Goirand ]
  * Added a backups folder in /etc/swift/backups which links back to
    /var/backups/swift.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 02 Mar 2016 16:42:53 +0100

swift (2.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]

  * New upstream release.
  * Removed useless shlibs dependency.
  * Watch file fixed.
  * Removed PyEClib requirements patching.
  * Removed simplejson dependency.
  * Bumbed eventlet and dnspython dependency to new versions.
  * Added python-os-testr build dependency.
  * Added git build dependency.
  * wrap-and-sort -t -a
  * Removed wrong systemd unit files.
  * Removed libjerasure2 build dependency.

  [ Ivan Udovichenko ]

  * d/rules: Fix config location for swift-object-expirer service.
  * d/control: Add Breaks field to swift-object-expirer package.

 -- Ondřej Nový <novy@ondrej.org>  Wed, 20 Jan 2016 05:31:21 -0500

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-python,
               dh-systemd,
               git,
               openstack-pkg-tools (>= 48~),
               python-all,
               python-pbr,
               python-setuptools (>= 20.6.8),
               python-sphinx,
Build-Depends-Indep: python-coverage,
                     python-dnspython (>= 1.12.0),
                     python-eventlet (>= 0.17.4),
                     python-greenlet (>= 0.3.1),
                     python-keystoneclient (>= 1:1.3.0),
                     python-mock,
                     python-netifaces (>> 0.10.1),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openssl,
                     python-openstack.nose-plugin,
                     python-os-testr (>= 0.4.1),
                     python-oslosphinx,
                     python-pastedeploy (>= 1.3.3),
                     python-pyeclib (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-xattr (>= 0.4),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swift.git
Vcs-Git: https://anonscm.debian.org/git/openstack/swift.git
Homepage: https://github.com/openstack/swift

Package: python-swift
Architecture: all
Section: python
Depends: adduser,
         python-dnspython (>= 1.12.0),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.1),
         python-netifaces (>> 0.10.1),
         python-openssl,
         python-pastedeploy (>= 1.3.3),
         python-pyeclib (>= 1.2.0),
         python-six (>= 1.9.0),
         python-xattr (>= 0.4),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: logrotate,
         python-swift (=${binary:Version}),
         rsyslog,
         ${misc:Depends},
         ${python:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-object-expirer
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-swift (=${binary:Version}),
         rsync,
         swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Replaces: swift-object (<< 2.6.0-1~),
Breaks: swift-object (<< 2.6.0-1~),
Description: distributed virtual object store - object-expirer
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -f debian/*.init
	rm -f debian/*.service
	rm -f debian/python-swift.postinst
	rm -f $(CURDIR)/swift-test.conf

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_auto_build
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	#python setup.py build_sphinx
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests -v test/unit --exe \
		--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python-swift.postinst

override_dh_install:
	rm debian/tmp/usr/bin/swift-init

	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done

	dh_install --fail-missing
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

gen-init-configurations:
	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done
	# TODO: Upstart

override_dh_systemd_enable: gen-init-configurations
	echo "Do nothing"

override_dh_systemd_start:
	echo "Do nothing"

override_dh_installinit: gen-init-configurations
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed -e s/.init.in// -e s:debian/::` ; \
		INITPKG=`echo $$MYINIT | cut -d. -f1` ; \
		INITNAME=`echo $$MYINIT | cut -d. -f2` ; \
		echo "Package: $$INITPKG Init: $$INITNAME" ; \
		dh_systemd_enable -p$$INITPKG --name=$$INITNAME ; \
		case $$INITNAME in \
		swift-object-expirer|swift-container-reconciler) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ;; \
		*) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ; \
			cp debian/$$INITPKG.$$INITNAME@.service debian/$$INITPKG/lib/systemd/system/$$INITNAME@.service ;; \
		esac ; \
		dh_systemd_start -p$$INITPKG --name=$$INITNAME ; \
	done

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

## swift 2.7.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.12.0;python_version<'3.0'
dnspython3>=1.12.0;python_version>='3.0'
eventlet>=0.17.4  # MIT
greenlet>=0.3.1
netifaces>=0.5,!=0.10.0,!=0.10.1
pastedeploy>=1.3.3
six>=1.9.0
xattr>=0.4
PyECLib>=1.2.0                          # BSD

=== debian/changelog ===
swift (2.7.1-0ubuntu2) xenial; urgency=medium

  * Fix issue where swift daemons crash while writing logs to a stopped
    rsyslogd /dev/log socket. (LP: #1683076)
    - d/patches/fix-infinite-recursion-logging.patch: Cherry-picked from
      upstream stable/newton branch to avoid infinite loops when logging
      while rsyslogd is stopped.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 22 May 2017 12:58:01 -0700

swift (2.7.1-0ubuntu1) xenial; urgency=medium

  * New upstream point release for Openstack Mitaka. (LP: #1668313)
  * d/patches/avoid-infinite-loop-while-placing-parts.patch: Dropped
    no longer needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 12:59:47 -0500

swift (2.7.0-0ubuntu2.1) xenial; urgency=medium

  * d/p/avoid-infinite-loop-while-placing-parts.patch: Cherry-picked from
    upstream stable/mitaka branch to avoid infinite loop while placing parts
    (LP: #1642538).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Dec 2016 10:40:09 -0500

swift (2.7.0-0ubuntu2) xenial; urgency=medium

  * d/tests/swift-daemons: Set replica count for each ring to 1, resolving
    autopkgtest failure during rebalance operations.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Apr 2016 12:21:44 +0100

swift (2.7.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/p/drop-sphinx-git.patch: Rebased.
  * d/p/fix-doc-no-network.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 08 Apr 2016 09:02:57 -0400

swift (2.6.0-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream release for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/pyeclib-version.patch: Removed, fixed in upstream.
  * d/p/sphinx.patch: Remove git command to prevent build errors.

  [ Corey Bryant ]
  * d/p/sphinx.patch: Dropped in favor of adding git to BD's.
  * d/control: Add git to build-depends for sphinx-build.
  * d/control: Add python-cffi to BDs to fix failing tests.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Mar 2016 13:34:13 -0500

swift (2.5.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.
  * d/control,python-swift.postinst: Tidy lintian warning messages.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Oct 2015 06:16:59 -0700

swift (2.4.0-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - d/p/CVE-2015-1856.patch,
      d/p/fix-tempauth-acl-checks.patch,
      d/p/increase-httplib-maxheaders.patch,
      d/p/x-auth-token-should-be-bytestring.patch:
      Dropped, included upstream.
  * Align (build-)depends with upstream, wrap-and-sort.
  * d/p/pyeclib-version.patch: Specify minimum bound for pyeclib only.
  * Install new swift-object-reconstructor and swift-ring-builder-analyzer
    binaries.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Sep 2015 13:00:03 +0100

swift (2.2.2-0ubuntu1.3) vivid-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: object deletion via x-versions-location container
    - debian/patches/CVE-2015-1856.patch: prevent unauthorized delete in
      swift/proxy/controllers/obj.py, added tests to
      test/functional/tests.py.
    - CVE-2015-1856

  [ Jamie Strandboge ]
  * debian/patches/x-auth-token-should-be-bytestring.patch: update for
    functional test suite
  * debian/patches/fix-tempauth-acl-checks.patch: fix tempauth acl checks when
    simplejson has no speedups
  * debian/patches/increase-httplib-maxheaders.patch: fix testuite and
    increase httplib._MAXHEADERS

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 30 Jul 2015 12:24:47 -0500

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders: Monty Taylor <mordred@inaugust.com>,
           Greg Holt <gholt@rackspace.com>,
           Jay Payne <letterj@racklabs.com>,
           Michael Barton <michael.barton@rackspace.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: libjerasure2,
                     python-cffi,
                     python-coverage,
                     python-dnspython (>= 1.12.0),
                     python-eventlet (>= 0.17.4),
                     python-greenlet (>= 0.3.1),
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:1.3.0),
                     python-mock (>= 1.0),
                     python-netifaces (>= 0.5),
                     python-nose,
                     python-oslosphinx,
                     python-os-testr (>= 0.4.1),
                     python-pastedeploy (>= 1.3.3),
                     python-pyeclib,
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-xattr (>= 0.4),
                     subunit (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/swift
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
XS-Testsuite: autopkgtest

Package: python-swift
Architecture: all
Section: python
Depends: adduser,
         libjerasure2,
         python-dnspython (>= 1.12.0),
         python-eventlet (>= 0.17.4),
         python-greenlet (>= 0.3.1),
         python-netifaces (>= 0.5),
         python-pastedeploy (>= 1.3.3),
         python-pyeclib,
         python-six (>= 1.9.0),
         python-xattr (>= 0.4),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Suggests: swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-proxy
Architecture: all
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - proxy server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a proxy server on which clients can connect to store
 object into Swift.

Package: swift-object-expirer
Architecture: all
Depends: python-swift (=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
        swift-object (<< 1.12.0-0ubuntu2),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
          swift-object (<< 1.12.0-0ubuntu2),
Description: distributed virtual object store - object expirer
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the object-expirer service that provides scheduled
 deletion of objects in Swift.

Package: swift-object
Architecture: all
Depends: python-swift (=${binary:Version}),
         rsync,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-container
Architecture: all
Depends: python-swift (=${binary:Version}),
         rsync,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces: swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-account
Architecture: all
Depends: python-swift (=${binary:Version}),
         rsync,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Provides: ${python:Provides},
Breaks: swift (<< 1.13.1~rc1-0ubuntu1~),
